#
# spec file for package xmbdfed (Version 4.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype openmotif openmotif-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xmbdfed
Summary:      A Motif-based BDF font editor
Version:      4.4
Release:      250
Copyright:    Copyright 1996, 1997, 1998, 1999 Computing Research Labs, New Mexico State University
Group:        Applications/Graphics
URL:	      http://crl.nmsu.edu/~mleisher/xmbdfed.html
Source:       http://crl.nmsu.edu/~mleisher/xmbdfed-%{version}.tar.gz
Patch:        xmbdfed-%{version}.dif
BuildRoot:    /var/tmp/%{name}-BUILD

%description
XmBDFEditor is a Motif-based BDF font editor with the following features:
o  Multiple fonts can be loaded from the command line.
o  Multiple fonts can be open at the same time.
o  Cutting and pasting glyphs between fonts.
o  Multiple glyph bitmap editors can be open at the same time.
o  Cutting and pasting between glyph bitmap editors.
o  Export of XBM files from glyph bitmap editors.
o  Automatic correction of certain metrics when a font is loaded.
o  Generation of XLFD font names for fonts without XLFD names.
o  Update an XLFD font name from the font properties.
o  Update the font properties from an XLFD font name.
o  Font property editor.
o  Font comment editor.
o  Supports unencoded glyphs (ENCODING of -1).
o  Display of glyph encodings in octal, decimal, or hex.
o  Builtin on-line help.
o  Imports PK/GF fonts.
o  Imports HBF (Han Bitmap Font) fonts.
o  Imports Linux console fonts (PSF, CP, and FNT).
o  Imports Sun console fonts (vfont format).
o  Imports fonts from the X server.
o  Imports Windows FON/FNT fonts.
o  Imports TrueType fonts and collections.
o  Exports PSF fonts.
o  Exports HEX fonts.
o  Edits two and four bits per pixel gray scale fonts.

Authors:
--------
    Mark Leisher <mleisher@crl.nmsu.edu>

SuSE series: gra

%prep
%setup -q
%patch

%build
make    

%install
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/bin
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/man/man1 
install -s -m 755 xmbdfed ${RPM_BUILD_ROOT}/usr/X11R6/bin
install -m 644 xmbdfed.man ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/xmbdfed.1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
/usr/X11R6/bin/xmbdfed
%doc README COPYRIGHTS CHANGES
%doc /usr/X11R6/man/man1/xmbdfed.1.gz

%changelog -n xmbdfed
* Tue Jun 05 2001 - pblaha@suse.cz
- fixed arguments to XtVa... functions for ia64
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Tue Aug 29 2000 - ro@suse.de
- removed manual requires
* Tue Apr 25 2000 - smid@suse.cz
- buildroot added
- upgrade to 4.4
* Thu Jan 27 2000 - nashif@suse.de
-  Fixed location of freetype includes
* Tue Dec 28 1999 - nashif@suse.de
-  Initial Release (4.3)
